# Apertis Website

This is the source for the main Apertis website. It is generated using
[Hugo](https://gohugo.io/) with a modified
[beautifulHugo theme](https://github.com/halogenica/beautifulhugo), changing
the look, implementing search and allowing for the generation of PDFs. The page
is served from gitlab pages.

---

## GitLab CI

This project's static Pages are built by [GitLab CI][ci], following the steps
defined in [`.gitlab-ci.yml`](.gitlab-ci.yml).

## Building locally

To work locally with this project, you'll have to follow the steps below:

1. Fork, clone or download this project
1. [Install][https://gohugo.io/overview/installing/] Hugo
1. Preview your project: `hugo server`
1. Add content
1. Generate the website: `hugo` (optional)

Read more at Hugo's [documentation][https://gohugo.io/overview/introduction/].

### Preview your site

If you clone or download this project to your local computer and run `hugo server`,
your site can be accessed under `localhost:1313/hugo/`.

## Generating PDFs

In order to generate PDFs, we are getting Hugo to create a simplified HTML
pages. So as not to have every page generating a PDF, to get a page to be
generated as a PDF (and html at the same time) add the following to the
frontmatter of the page:

```
outputs = ["html", "pdf-in"]
```

This will result in the simplifed HTML being produced in a file called
`index.pdf-in` in the relevant directory. The kernel CI is configured to look
for these files once Hugo has generated the site and create PDFs of them. For
the page `www.apertis.org/concepts/foo/`, a PDF will be available as
`www.apertis.org/concepts/foo/foo.pdf`.

