+++
date = "2018-07-16"
weight = 100

title = "18.09 TestReports 20180711 tiny-containers"

aliases = [
    "/old-wiki/18.09/TestReports/20180711/tiny-containers"
]
+++

Testing results considerations:

1.  These tests use tiny container images.
2.  All automated test cases already integrated into LAVA system were
    executed on the following images: Arm, Arm64, AMD64.
3.  Failures and partial failures were filed as bugs in Phabricator for
    further investigation and analysis.

-----

The platform image used for these tests are:

  - [Arm
    (YYYYMMDD.0)](https://images.apertis.org/daily/experimental/18.09/YYYYMMDD.0/armhf/tiny/apertis-lxc-18.09-armhf-tiny_YYYYMMDD.0.tar.gz)
  - [Arm64
    (YYYYMMDD.0)](https://images.apertis.org/daily/experimental/18.09/YYYYMMDD.0/arm64/tiny/apertis-lxc-18.09-arm64-tiny_YYYYMMDD.0.tar.gz)
  - [AMD64
    (YYYYMMDD.0)](https://images.apertis.org/daily/experimental/18.09/YYYYMMDD.0/amd64/tiny/apertis-lxc-18.09-amd64-tiny_YYYYMMDD.0.tar.gz)

| ID                                                                                                                                                  | Description                                                                               | Type       | Arm       | Arm64     | AMD64     | Tested By | Notes |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------- | ---------- | --------- | --------- | --------- | --------- | ----- |
| **LAVA sanity**                                                                                                                                     |                                                                                           |            |           |           |           |           |       |
| [check-tiny-system-containers](https://gitlab.apertis.org/infrastructure/tiny-image-recipes/blob/master/lavatests/check-tiny-system-container.yaml) | Test privileged tiny container with shared network                                        | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
| [check-tiny-user-containers](https://gitlab.apertis.org/infrastructure/tiny-image-recipes/blob/master/lavatests/check-tiny-user-container.yaml)     | Test non-privileged tiny container without networking                                     | Integrated | bgcolor=| | bgcolor=| | bgcolor=| |           |       |
|                                                                                                                                                     |                                                                                           |            |           |           |           |           |       |
|                                                                                                                                                     |                                                                                           |            |           |           |           |           |       |
|                                                                                                                                                     | PASSED - All tests passed.                                                                |            |           |           |           |           |       |
|                                                                                                                                                     | PARTIAL - Tests mostly passed, with some minor problems.                                  |            |           |           |           |           |       |
|                                                                                                                                                     | FAILED - One or more tests failed.                                                        |            |           |           |           |           |       |
|                                                                                                                                                     | NOT TESTED - Test not run due to some issue, like WIP, Disabled, lacking proper hardware. |            |           |           |           |           |       |
|                                                                                                                                                     |                                                                                           |            |           |           |           |           |       |
|                                                                                                                                                     |                                                                                           |            |           |           |           |           |       |
|                                                                                                                                                     | CRITICAL test case - release blocker                                                      |            |           |           |           |           |       |
|                                                                                                                                                     | HIGH priority test case - must be tested every week                                       |            |           |           |           |           |       |
|                                                                                                                                                     | MEDIUM priority test case - must be tested at least every other week                      |            |           |           |           |           |       |
|                                                                                                                                                     | LOW priority test case - test when possible                                               |            |           |           |           |           |       |
|                                                                                                                                                     |                                                                                           |            |           |           |           |           |       |

[Test Reports]( {{< ref "/qa/weekly_tests" >}} )

